Bug 1662344 (python-s3transfer) - Review Request: python-s3transfer - Amazon S3 Transfer Manager
Summary: Review Request: python-s3transfer - Amazon S3 Transfer Manager
Keywords:
Status: NEW
Alias: python-s3transfer
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Neal Gompa
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-12-27 21:09 UTC by Igor Gnatenko
Modified: 2019-01-14 11:51 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
ngompa13: fedora-review+


Attachments (Terms of Use)

Description Igor Gnatenko 2018-12-27 21:09:53 UTC
Spec URL: https://ignatenkobrain.fedorapeople.org/for-review/python-s3transfer.spec
SRPM URL: https://ignatenkobrain.fedorapeople.org/for-review/python-s3transfer-0.1.13-1.fc30.src.rpm
Description:
S3transfer is a Python library for managing Amazon S3 transfers.
Fedora Account System Username: ignatenkobrain

Comment 1 Neal Gompa 2018-12-27 21:52:13 UTC
Taking this review.

Comment 2 Neal Gompa 2018-12-27 21:54:13 UTC
[x] Package is named properly according to Packaging Guidelines
[x] Package builds and installs properly
[x] Package follows Python packaging guidelines
[x] License content is correctly included, documented, and installed

PACKAGE APPROVED

Comment 3 Miro Hrončok 2018-12-28 13:31:26 UTC
Note that there was a %check phase before retirement and I'd prefer if you keep it. Untested packages are dangerous.

https://src.fedoraproject.org/rpms/python-s3transfer/blob/46a263e9150feb3a6f80402bb828788dd7375577/f/python-s3transfer.spec

Comment 4 Miro Hrončok 2019-01-14 11:51:45 UTC
Pretty please?


Note You need to log in before you can comment on or make changes to this bug.